Subject: Re: [PATCH 3/3] atyfb: Fix 64 bits resources on 32 bits archs

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 23 Apr 2008 08:20:06 +1000

On Tue, 2008-04-22 at 19:43 +0400, Sergei Shtylyov wrote:
>     Not sure what that change gives us -- this function mostly treats 'addr' 
> as unsigned long (casting it to char/void *), ot compares it to 'unsigned 
> long' 'base' variable -- which should be made 'resource_size_t' in its turn 
> being assigned resource's start value.  So, this part of patch looks incomplete
> (and yet I'm not sure if SPARC really needs all that)...

I just wanted to make sure both setup functions has the same prototype. 

I think sparc doesn't need fixing in there.

Ben.